﻿#ifndef HIGHSINGLEQUI
#define HIGHSINGLEQUI

#include "mctype/machinetypefun.h"

//高速单针绗缝机
class HighSingleQui : public MachineTypeFun
{
    Q_OBJECT
public:
    HighSingleQui();
    ~HighSingleQui();

public:
    void initNinebtn1234();
    void initFileInfoLabel();

private:
    void initRootParasList();//超级用户参数(包括机器参数、工作参数)
    void initPatternsParasList();//花样参数
    void initMcParasList();//主控机器参数
    void initWkParasList();//主控工作参数

private:
    void initOutCtrlList();//控制动作
    void initShortCutList();//快捷动作
    void initAssistList();//辅助功能
    void initPatternSetList();//花样设置
    void initParaSetList();//参数设置

private:
    void initSensorList();//初始化传感器列表
    void initErrorCodeAndStateList();//初始化错误代码和状态列表
};
#endif // HIGHSINGLEQUI
