﻿#ifndef MCHEADDIALOG_H
#define MCHEADDIALOG_H

#include <QDialog>
#include "setcontrolstyle.h"
#include <bitset>
#include <iostream>

using namespace std;
#include "mybutton.h"

namespace Ui {
class McHeadDialog;
}

class McHeadDialog : public QDialog
{
    Q_OBJECT

public:
    explicit McHeadDialog(QWidget *parent = 0);
    ~McHeadDialog();

private slots:
    void on_buttonOk_clicked();

    void on_buttonCancel_clicked();

    void on_pushButton_clicked();

    void on_pushButton_2_clicked();

    void on_pushButton_3_clicked();

    void on_pushButton_4_clicked();

    void on_pushButton_5_clicked();

    void on_pushButton_6_clicked();

    void on_pushButton_7_clicked();

    void on_pushButton_8_clicked();

public slots:
    void initWidget();
    void initControl();
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式

    void updataUi(int btnIndex, MyButton *button);
    void refreshUi();
    char setBit(char data, int setoff, bool value);
    void setChar(char data);
    unsigned char getChar();

private:
    Ui::McHeadDialog *ui;
    unsigned char m_mcHeadSw; //机头开关参数 bit位1-8 ， 0关闭 1开启
    QList<QPushButton*> m_sheetBtnList;
};

#endif // MCHEADDIALOG_H
